glibmm 2.54.1

Static Public Member Functions | Protected Member Functions | List of all members
Glib::ValueBase_Object Class Reference
Generic Values

`#include <glibmm/value.h>`

Inheritance diagram for Glib::ValueBase_Object:
[legend]

## Static Public Member Functions
static GType | value_type ()

## Protected Member Functions
void | set_object (Glib::ObjectBase* data)
Glib::ObjectBase* | get_object () const
Glib::RefPtr< Glib::ObjectBase > | get_object_copy () const

## Additional Inherited Members
Public Member Functions inherited from Glib::ValueBase
| ValueBase ()
| Initializes the GValue, but without a type. More...
| ValueBase (const ValueBase& other)
ValueBase& | operator= (const ValueBase& other)
| ~ValueBase () noexcept
void | init (GType type)
| Setup the GValue for storing the specified type. More...
void | init (const GValue* value)
| Setup the GValue storing the type and value of the specified value. More...
void | reset ()
| Reset contents to the default value of its type. More...
GValue* | gobj ()
const GValue* | gobj () const
Protected Attributes inherited from Glib::ValueBase
GValue | gobject_

## Member Function Documentation

## ◆ get_object()

Glib::ObjectBase* Glib::ValueBase_Object::get_object | ( |  | ) | const
| protected

## ◆ get_object_copy()

Glib::RefPtr<Glib::ObjectBase> Glib::ValueBase_Object::get_object_copy | ( |  | ) | const
| protected

## ◆ set_object()

void Glib::ValueBase_Object::set_object | ( | Glib::ObjectBase* | data | ) |
| protected

## ◆ value_type()

static GType Glib::ValueBase_Object::value_type | ( |  | ) |
| static